Get one the CompoundCRS given its essence.
Security
bearer
A unique description of a compound coordinate reference system (CompoundCRS), either as persistable reference string or essence JSON.
The persistable reference string, either the essence of the CompoundCRS serialized into a JSON string or an encoded string (version 1).
Example:"{\"horzLateBoundCRS\":{\"wkt\":\"PROJCS[\\\"WGS_1984_UTM_Zone_35N\\\",GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",
essenceobject(Compound CRS Essence)
Compound coordinate reference system aggregating a horizontal to a vertical CRS.
Example:
{ "authCode": { "auth": "OSDU", "code": "326355773" }, "type": "CC", "ver": "PE_10_3_1", "name": "WGS 84 / UTM zone 35N + EGM96 height", "horzLateBoundCRS": { "authCode": { … }, "type": "LBC", "ver": "PE_10_3_1", "name": "WGS_1984_UTM_Zone_35N", "wkt": "PROJCS[\"WGS_1984_UTM_Zone_35N\",GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Transverse_Mercator\"],PARAMETER[\"False_Easting\",500000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",27.0],PARAMETER[\"Scale_Factor\",0.9996],PARAMETER[\"Latitude_Of_Origin\",0.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",32635]]" }, "vertLateBoundCRS": { "authCode": { … }, "type": "LBC", "ver": "PE_10_3_1", "name": "EGM96_Geoid", "wkt": "VERTCS[\"EGM96_Geoid\",VDATUM[\"EGM96_Geoid\"],PARAMETER[\"Vertical_Shift\",0.0],PARAMETER[\"Direction\",1.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",5773]]" } }
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/crs/catalog/v2/compoundcrs
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/crs/catalog/v2/compoundcrs
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/crs/catalog/v2/compoundcrs
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/crs/catalog/v2/compoundcrs
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/crs/catalog/v2/compoundcrs
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/crs/catalog/v2/compoundcrs
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/crs/catalog/v2/compoundcrs
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/crs/catalog/v2/compoundcrs
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/crs/catalog/v2/compoundcrs
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/crs/catalog/v2/compoundcrs
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/crs/catalog/v2/compoundcrs
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/crs/catalog/v2/compoundcrs
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-crs-catalog-service-v2/compoundcrs
curl -i -X POST \
'https://as5.api.enterprisedata.slb.com/api/crs/catalog/v2/compoundcrs?mode=persistable_reference' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '{
"persistableReference": "{\"horzLateBoundCRS\":{\"wkt\":\"PROJCS[\\\"WGS_1984_UTM_Zone_35N\\\",GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],PROJECTION[\\\"Transverse_Mercator\\\"],PARAMETER[\\\"False_Easting\\\",500000.0],PARAMETER[\\\"False_Northing\\\",0.0],PARAMETER[\\\"Central_Meridian\\\",27.0],PARAMETER[\\\"Scale_Factor\\\",0.9996],PARAMETER[\\\"Latitude_Of_Origin\\\",0.0],UNIT[\\\"Meter\\\",1.0],AUTHORITY[\\\"EPSG\\\",32635]]\",\"ver\":\"PE_10_3_1\",\"name\":\"WGS_1984_UTM_Zone_35N\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"32635\"},\"type\":\"LBC\"},\"vertLateBoundCRS\":{\"wkt\":\"VERTCS[\\\"EGM96_Geoid\\\",VDATUM[\\\"EGM96_Geoid\\\"],PARAMETER[\\\"Vertical_Shift\\\",0.0],PARAMETER[\\\"Direction\\\",1.0],UNIT[\\\"Meter\\\",1.0],AUTHORITY[\\\"EPSG\\\",5773]]\",\"ver\":\"PE_10_3_1\",\"name\":\"EGM96_Geoid\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"5773\"},\"type\":\"LBC\"},\"ver\":\"PE_10_3_1\",\"name\":\"WGS 84 / UTM zone 35N + EGM96 height\",\"authCode\":{\"auth\":\"OSDU\",\"code\":\"326355773\"},\"type\":\"CC\"}",
"essence": {
"authCode": {
"auth": "OSDU",
"code": "326355773"
},
"type": "CC",
"ver": "PE_10_3_1",
"name": "WGS 84 / UTM zone 35N + EGM96 height",
"horzLateBoundCRS": {
"authCode": {
"auth": "EPSG",
"code": "32635"
},
"type": "LBC",
"ver": "PE_10_3_1",
"name": "WGS_1984_UTM_Zone_35N",
"wkt": "PROJCS[\"WGS_1984_UTM_Zone_35N\",GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Transverse_Mercator\"],PARAMETER[\"False_Easting\",500000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",27.0],PARAMETER[\"Scale_Factor\",0.9996],PARAMETER[\"Latitude_Of_Origin\",0.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",32635]]"
},
"vertLateBoundCRS": {
"authCode": {
"auth": "EPSG",
"code": "5773"
},
"type": "LBC",
"ver": "PE_10_3_1",
"name": "EGM96_Geoid",
"wkt": "VERTCS[\"EGM96_Geoid\",VDATUM[\"EGM96_Geoid\"],PARAMETER[\"Vertical_Shift\",0.0],PARAMETER[\"Direction\",1.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",5773]]"
}
}
}'A successful response
areaOfUseobject(AreaOfUse)
The AreaOfUse class.
deprecationInfoobject(CRS Deprecation Info)
Deprecation information for a coordinate reference system.
namedReferenceobject(NamedReference)
Name and Persistable Reference (the essence converted to a JSON string).
essenceobject(Compound CRS Essence)
Compound coordinate reference system aggregating a horizontal to a vertical CRS.
Response
{ "crstype": "string", "source": "string", "transformationReady": true, "baseCRSAuthorityCode": { "auth": "EPSG", "code": "4326" }, "aliasNames": [ "string" ], "axisUnits": [ "string" ], "numberOfAxes": 0, "description": "string", "lastModified": "string", "areaOfUse": { "id": "string", "name": "string", "description": "string", "lastModified": "string", "namedReference": { … }, "essence": { … } }, "deprecationInfo": { "deprecationState": "string", "remarks": "string", "supersededByCRS": { … } }, "namedReference": { "name": "string", "persistableReference": "string" }, "essence": { "type": "CC", "name": "WGS 84 / UTM zone 35N + EGM96 height", "ver": "PE_10_3_1", "horzLateBoundCRS": { … }, "horzEarlyBoundCRS": { … }, "vertLateBoundCRS": { … }, "vertEarlyBoundCRS": { … }, "authCode": { … } } }